Can't install G'Mic for Gimp 2.10

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
wary_linux
Level 1
Level 1
Posts: 12
Joined: Wed Jul 10, 2019 8:48 pm

Can't install G'Mic for Gimp 2.10

Post by wary_linux » Sat Oct 12, 2019 7:08 pm

Hi,

I'm running Linux Mint Cinnamon. I cannot get G'Mic to work for Gimp 2.10. G'Mic does not show up under "filters" even after I think I installed it. I installed the plug-in via the software Manager in Gimp, and when that didn't work, I uninstalled it and tried the "PPA" method which also seemed to install, but also did not show the plug-in. Any help is appreciated.

User avatar
racer-x
Level 4
Level 4
Posts: 314
Joined: Sun Oct 02, 2016 9:05 am
Location: Area 51

Re: Can't install G'Mic for Gimp 2.10

Post by racer-x » Tue Oct 15, 2019 8:08 pm

How did you install Gimp 2.10? If you installed via flatpak, G'mic won't work. You'll need to install Gimp via ppa or use the AppImage version.

User avatar
Flemur
Level 17
Level 17
Posts: 7203
Joined: Mon Aug 20, 2012 9:41 pm
Location: Potemkin Village

Re: Can't install G'Mic for Gimp 2.10

Post by Flemur » Wed Oct 16, 2019 11:18 am

If you installed via flatpak, G'mic won't work.
It doesn't work anyway -

Code: Select all

Plug-in crashed: "gmic_gimp"
(/usr/lib/gimp/2.0/plug-ins/gmic_gimp)
The dying plug-in may have messed up GIMP's internal state. You may want to save your images and restart GIMP to be on the safe side.
(Click to make clear:)
gimp0.jpg
Please edit your original post title to include [SOLVED] if/when it is solved!
Your data and OS are backed up....right?
Mint 19.1 Xfce/fluxbox
Manjaro openbox/fluxbox

User avatar
racer-x
Level 4
Level 4
Posts: 314
Joined: Sun Oct 02, 2016 9:05 am
Location: Area 51

Re: Can't install G'Mic for Gimp 2.10

Post by racer-x » Wed Oct 16, 2019 1:30 pm

Yes it does, I use it all the time. Go here: https://github.com/aferrero2707/gimp-pl ... continuous

download the 1st GMIC-GIMP210Linux.appimage. make it executable and run it. It will copy required files into correct locations. If you use the PPA vrsion of Gimp like I do, you can copy the Gmic plugin into the correct folder for the ppa version.

User avatar
Flemur
Level 17
Level 17
Posts: 7203
Joined: Mon Aug 20, 2012 9:41 pm
Location: Potemkin Village

Re: Can't install G'Mic for Gimp 2.10

Post by Flemur » Wed Oct 16, 2019 1:48 pm

racer-x wrote:
Wed Oct 16, 2019 1:30 pm
Yes it does, I use it all the time. Go here: https://github.com/aferrero2707/gimp-pl ... continuous
download the 1st GMIC-GIMP210Linux.appimage. make it executable and run it. It will copy required files into correct locations.
I tried that and now there's no menu entry for it*, but there are 124 files under
~/.config/GIMP-AppImage/2.10/plug-ins/gmic_qt.

* Are the functions spread all over the place, as with IIRC the "resynthesizer" plugins? (e.g some under "Enhance", some under "Distorts").

Edit: My gimp was installed from the repos. The error messages (prev post) were from plugins which were also installed from the repos.
Please edit your original post title to include [SOLVED] if/when it is solved!
Your data and OS are backed up....right?
Mint 19.1 Xfce/fluxbox
Manjaro openbox/fluxbox

User avatar
racer-x
Level 4
Level 4
Posts: 314
Joined: Sun Oct 02, 2016 9:05 am
Location: Area 51

Re: Can't install G'Mic for Gimp 2.10

Post by racer-x » Wed Oct 16, 2019 2:38 pm

If you installed Gimp2.10 from the repos, then it is the flatpak version and won't work with G'mic. You need to install Gimp2.10 via ppa or appimage to get G'mic to work.

User avatar
Flemur
Level 17
Level 17
Posts: 7203
Joined: Mon Aug 20, 2012 9:41 pm
Location: Potemkin Village

Re: Can't install G'Mic for Gimp 2.10

Post by Flemur » Wed Oct 16, 2019 4:22 pm

racer-x wrote:
Wed Oct 16, 2019 2:38 pm
If you installed Gimp2.10 from the repos, then it is the flatpak version and won't work with G'mic. You need to install Gimp2.10 via ppa or appimage to get G'mic to work.
The github page doesn't bother to mention that (crummy documentation is one reason I get sick of linux), and like i said, installing both gimp and the plugins from the repos doesn't work. So I guess the conclusion is: if you want to use these plugins, don't install anything the normal way.

OP: there's also a gmic stand-alone program; you might try that.
Please edit your original post title to include [SOLVED] if/when it is solved!
Your data and OS are backed up....right?
Mint 19.1 Xfce/fluxbox
Manjaro openbox/fluxbox

Post Reply

Return to “Software & Applications”